<?php
defined('BASEPATH') OR exit ('No direct script access allowed');

class Project_list extends CI_Controller{

	function __construct(){
        parent::__construct();
        $this->load->model('mproject_list');
    }
     
    function index(){
        $x['data']=$this->mproject_list->project_list();
        $this->load->view('vproject_list',$x);
    }
    
    function get_session($collection_name){
       $this->load->library('session');
       $this->session->set_userdata('collection_name', $collection_name);
        
       redirect('admin/statistics');
    }
    
    function generate_collection($project_tittle, $keywords, $tanggal_mulai, $tanggal_akhir, $time_frame){
        $this->load->library('session');
        $username = $this->session->username;
        $collection_name = $username."_".date("Ymd")."_".strtolower(str_replace(' ','_',$project_tittle))."_".$time_frame;
        
        if($time_frame == "streaming"){
            $fp = fopen('/home/unjani/repo/tweet_api_crawl/keywords.csv', 'a');
            $keywordList = explode(',', $keywords);
            
            foreach($keywordList as $keyword){
                fputcsv($fp, array($collection_name, trim($keyword)));
            }             
        } elseif($time_frame == "instant"){
            // create a new cURL resource
            $ch = curl_init();

            // set URL and other appropriate options
            $tanggal_mulai = date("Y-m-d", strtotime($tanggal_mulai));
            $tanggal_akhir = date("Y-m-d", strtotime($tanggal_akhir));
            $keywords = str_replace("#","%23",$keywords);
            $keywords = str_replace(", ",",",$keywords);
            $keywords = explode(",", $keywords);
            $temp_key = array();
            foreach ($keywords as &$arr) {
                $temp = explode(" ", $arr);
                $len_array = count($temp);
                echo $len_array;
                if ($len_array > 1) {
                    $temp_frase = join('%20',$temp);
                    $frase = '"'.$temp_frase.'"';

                    array_push($temp_key, $frase);
                } else {
                    array_push($temp_key, $arr);
                }
            }
            $keywords = join("-",$temp_key);
            $keywords = str_replace(" ","%20",$keywords);
            $keywords = str_replace('"',"%22",$keywords);
            $url = "http://median.fttiunjaniyogya.id:5000/mod_twitter_instance_crawl";
            $url = $url.'/'.$collection_name.'/'.$keywords.'/'.$tanggal_mulai.'/'.$tanggal_akhir."/";

            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_PORT, 5000);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  
            curl_setopt($ch, CURLOPT_WRITEFUNCTION, 'do_nothing');
            curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 6.1; rv:2.2) Gecko/20110201');

            // grab URL and pass it to the browser
            curl_exec($ch);

            // close cURL resource, and free up system resources
            curl_close($ch);
            
        }
        
        fclose($fp);        
        return $collection_name; 
    }

    function do_nothing($curl, $input) {
        return 0; // aborts transfer with an error
    }

    function simpan(){
        $id                 = $this->input->post('id');
        $project_title      = $this->input->post('project_title');
        $keywords           = $this->input->post('keywords');
        $timeframe          = $this->input->post('timeframe');
        $tanggal_mulai      = $this->input->post('tanggal_mulai');
        $tanggal_selesai    = $this->input->post('tanggal_selesai');
        $collection_name    = $this->generate_collection($this->input->post('project_title'), $this->input->post('keywords'), $this->input->post('tanggal_mulai'), $this->input->post('tanggal_selesai'), $this->input->post('timeframe'));

        $this->mproject_list->simpan($id,$project_title,$keywords,$timeframe,$tanggal_mulai,$tanggal_selesai,$collection_name);
        redirect('project_list');
    }

    function edit($id)
    {
        $id = $this->uri->segment(3);
        $data = array(
            'title' => 'Edit Data',
            'median_coba' => $this->mproject_list->edit($id)
        ) ;

        $this->load->view('vedit', $data);
    }

    function update()
    {
        $id['id'] = $this->input->post("id");
        $data = array('upload_data' => $this->upload->data());
        $data = array(

                'id' => $this->input->post("id"),
                'project_title' => $this->input->post("project_title"),
                'keywords' => $this->input->post('keywords'),
                'timeframe' => $this->input->post('timeframe'),
                'tanggal_mulai' => $this->input->post('tanggal_mulai'),
                'tanggal_selesai'=> $this->input->post('tanggal_selesai'),
        );
        $this->mproject_list->update($data, $id);
        $this->session->set_flashdata('notif', '<div class="alert alert-success alert-dismissible"> Success! data berhasil di update ke database.</div>');

        redirect('project_list');
    }

    function hapus($id)
    {
    	$id['id'] = $this->uri->segment(3);
    	$this->mproject_list->hapus($id);

    	redirect('project_list');
    }
    
    function get_view_result()
    {
        $viewData = $this->input->post('viewData');
        if(isset($viewData) and !empty($viewData)){
            $records = $this->mproject_list->get_search_data($viewData);
            $output = '';
            foreach($records->result_array() as $row){
             $output .= '      
                        <div class="row">
                            <div class="col-lg-6">
                                <table class="table table-bordered">
                                    <tr>
                                        <td><b>Project Title</b></td>
                                        <td>'.$row["project_title"].'</td>
                                    </tr>
                                    <tr>
                                        <td><b>Keywords</b></td>
                                        <td>'.$row["keywords"].'</td>            
                                    </tr>            
                                    <tr>
                                        <td><b>Timeframe</b></td>
                                        <td>'.$row["timeframe"].'</td>            
                                    </tr> 
                                    <tr>
                                        <td><b>Start Date</b></td>
                                        <td>'.$row["tanggal_mulai"].'</td>            
                                    </tr>
                                    <tr>
                                        <td><b>End Date</b></td>
                                        <td>'.$row['tanggal_selesai'].'</td>            
                                    </tr>                                     
                                </table>     
                            </div>
                        </div>';
            }    
            echo $output;
        }
        else
        {
         echo '<center><ul class="list-group"><li class="list-group-item">'.'Select a View'.'</li></ul></center>';
        }
     }
}