<?php include('layout/header.php')?>
<body class="loading">
    <?php $_SESSION['active-menu'] = "content_analysis"; ?>
    <div id="app">
        <?php include("layout/side-menu.php") ?>
        <div id="main" class="w-100 d-flex flex-column">
            <?php include("layout/admin-menu.php") ?>
            <div class="wrapper p-3 overflow-auto h-100" style="background: #fafafa;">
                <div class="row mx-n2">
                    <div class="col-md-6 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-hashtag mr-2"></i> FREQUENT WORDS (BIGRAM)</div>
                            <div class="card-body h-100" id="bigram-cloud"></div>
                        </div>
                    </div>
                    
                    <div class="col-md-6 px-2">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa-line-chart mr-2"></i> TERM SENTIMENT</div>
                            <div class="card-body h-100" id="term-sentiment"></div>
                        </div>
                    </div>
                </div>
                
                <div class="row mx-n2 mt-3">
                    <div class="col-md-12 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-tasks mr-2"></i> TERM CORRELATION MATRIX</div>
                            <div class="card-body h-100" id="term-matrix"></div>
                        </div>
                    </div>
                </div>
                <br/>
                <div class="row mx-n2">
                    <div class="col-md-4 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-hashtag mr-2"></i> TOPIC MODELS</div>
                            <div class="card-body h-100" id="topic-models">
                                <div class="table-responsive" style="max-height: 450px;overflow: auto;">
                                    <table class="table table-striped table-hover">
                                        <tbody>
                                            <tr><td>1</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>2</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>3</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>4</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>5</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>6</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>7</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>8</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>9</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>
                                            <tr><td>10</td><td>Lorem ipsum, dolor sit amet, consectetur, adipiscing elit, sed do eiusmod, tempor</td></tr>                                           
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-8 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-tasks mr-2"></i> TOPIC CLUSTERS</div>
                            <div class="card-body h-100" id="topic-clusters"></div>
                        </div>
                    </div>
                </div>
                <br/>
                <div class="row mx-n2">
                    <div class="col-md-12 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-hashtag mr-2"></i> TOPIC EVOLUTION OVER TIME</div>
                            <div class="card-body h-100" id="topic-evolution"></div>
                        </div>
                    </div>
                </div>
                <br/>
                <div class="row mx-n2">
                    <div class="col-md-12 px-2">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa fa-file-text-o mr-2"></i> TWEETS ORDER BY POPULARITY</div>
                            <div class="card-body">
                                <div class="table-responsive" style="max-height: 450px;overflow: auto;">
                                    <table class="table table-striped table-hover">
                                        <thead>
                                            <tr>
                                                <th>User</th>
                                                <th>Tweet</th>
                                                <th>Retweeted</th>
                                                <th>Reach</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                                for($i=1; $i<=10; $i++){
                                                    echo "<tr>";
                                                    echo "  <td>".'@fadjroel_rachman'."</td>";
                                                    echo "  <td>".'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua'."</td>";
                                                    echo "  <td>".'2.345 times'."</td>";
                                                    echo "  <td>".'1.450.365 users'."</td>";
                                                    echo "</tr>";
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php include('layout/footer.php')?>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/d3/3.4.11/d3.min.js"></script>
    <script type="text/javascript" src="https://cdn.rawgit.com/jasondavies/d3-cloud/v1.2.1/build/d3.layout.cloud.js"></script>
    
    <!-- FREQUENT TOPIC -->
    <script type="text/javascript">
        var topic = [
                    <?php
                    /**
                        $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_topic/'.$collection_name.'');
                        $theArray = json_decode($theJSON, true);
                        foreach($theArray[1] as $element){
                            echo "{text:'".$element['text']."',size:".$element['size']."},";
                        }
                    **/
                    ?>
            ];

        var width = 500;
        var height = 500;
        var fill = d3.scale.category20();

            d3.layout.cloud()
                .size([width, height])
                .words(topic)
                .rotate(function() {
                    return ~~(Math.random() * 2) * 90;
                })
                .font("Impact")
                .fontSize(function(d) {
                    return d.size;
                })
                .on("end", drawTopicCloud)
                .start();
            function drawTopicCloud(words) {
                d3.select("#frequent-topic").append("svg")
                    .append("g")
                    .attr("transform", "translate(" + ~~(width / 2) + "," + ~~(height / 2) + ")")
                    .selectAll("text")
                    .data(words)
                    .enter().append("text")
                    .style("font-size", function(d) {
                        return d.size + "px";
                    })
                    .style("-webkit-touch-callout", "none")
                    .style("-webkit-user-select", "none")
                    .style("-khtml-user-select", "none")
                    .style("-moz-user-select", "none")
                    .style("-ms-user-select", "none")
                    .style("user-select", "none")
                    .style("cursor", "default")
                    .style("font-family", "impact")
                    .style("font-weight", "200")
                    .style("fill", function(d, i) {
                        return fill(i);
                    })
                    .attr("text-anchor", "middle")
                    .attr("transform", function(d) {
                        return "translate(" + [d.x, d.y] + ")rotate(" + d.rotate + ")";
                    })
                    .text(function(d) {
                        return d.text;
                    });
            }

            var svg = document.getElementsByTagName("svg")[1];
            var bbox = svg.getBBox();
            var viewBox = [bbox.x, bbox.y, bbox.width, bbox.height].join(" ");
            svg.setAttribute("viewBox", viewBox);
    </script>
    
    <script type="text/javascript" src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/streamgraph.js"></script>
    <script src="https://code.highcharts.com/modules/series-label.js"></script>
    <script src="https://code.highcharts.com/modules/annotations.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/venn.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>
    <script src="https://code.highcharts.com/modules/wordcloud.js"></script>
    <script src="https://code.highcharts.com/modules/heatmap.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/highcharts-more.js"></script>    
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>
    <script type="text/javascript">
        $(function(){
            var colors = Highcharts.getOptions().colors;
            Highcharts.chart('topic-evolution', {

                chart: {
                    type: 'streamgraph',
                    marginBottom: 30,
                    zoomType: 'x'
                },

                // Make sure connected countries have similar colors
                colors: [
                    colors[0],
                    colors[1],
                    colors[2],
                    colors[3],
                    colors[4],
                    // East Germany, West Germany and Germany
                    Highcharts.color(colors[5]).brighten(0.2).get(),
                    Highcharts.color(colors[5]).brighten(0.1).get(),

                    colors[5],
                    colors[6],
                    colors[7],
                    colors[8],
                    colors[9],
                    colors[0],
                    colors[1],
                    colors[3],
                    // Soviet Union, Russia
                    Highcharts.color(colors[2]).brighten(-0.1).get(),
                    Highcharts.color(colors[2]).brighten(-0.2).get(),
                    Highcharts.color(colors[2]).brighten(-0.3).get()
                ],

                title: {
                    floating: true,
                    align: 'left',
                    text: 'Topic Evolution'
                },
                subtitle: {
                    floating: true,
                    align: 'left',
                    y: 30,
                    text: 'A changed of topics talked by users over time'
                },

                xAxis: {
                    maxPadding: 0,
                    type: 'category',
                    crosshair: true,
                    categories: [
                        '',
                        '1924',
                        '1928',
                        '1932',
                        '1936',
                        '1940',
                        '1944',
                        '1948',
                        '1952',
                        '1956',
                        '1960',
                        '1964',
                        '1968',
                        '1972',
                        '1976',
                        '1980',
                        '1984',
                        '1988',
                        '1992',
                        '1994',
                        '1998',
                        '2002',
                        '2006',
                        '2010',
                        '2014'
                    ],
                    labels: {
                        align: 'left',
                        reserveSpace: false,
                        rotation: 0
                    },
                    lineWidth: 0,
                    margin: 20,
                    tickWidth: 0
                },

                yAxis: {
                    visible: false,
                    startOnTick: false,
                    endOnTick: false
                },

                legend: {
                    enabled: false
                },

                annotations: [{
                    labels: [{
                        point: {
                            x: 5.5,
                            xAxis: 0,
                            y: 30,
                            yAxis: 0
                        },
                        text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit'
                    }, {
                        point: {
                            x: 18,
                            xAxis: 0,
                            y: 90,
                            yAxis: 0
                        },
                        text: 'Excepteur sint occaecat cupidatat non proident'
                    }],
                    labelOptions: {
                        backgroundColor: 'rgba(255,255,255,0.5)',
                        borderColor: 'silver'
                    }
                }],

                plotOptions: {
                    series: {
                        label: {
                            minFontSize: 5,
                            maxFontSize: 15,
                            style: {
                                color: 'rgba(255,255,255,0.75)'
                            }
                        }
                    }
                },

                // Data parsed with olympic-medals.node.js
                series: [{
                    name: "Finland",
                    data: [
                        0, 11, 4, 3, 6, 0, 0, 6, 9, 7, 8, 10, 5, 5, 7, 9, 13, 7, 7, 6, 12, 7, 9, 5, 5
                    ]
                }, {
                    name: "Austria",
                    data: [
                        0, 3, 4, 2, 4, 0, 0, 8, 8, 11, 6, 12, 11, 5, 6, 7, 1, 10, 21, 9, 17, 17, 23, 16, 17
                    ]
                }, {
                    name: "Sweden",
                    data: [
                        0, 2, 5, 3, 7, 0, 0, 10, 4, 10, 7, 7, 8, 4, 2, 4, 8, 6, 4, 3, 3, 7, 14, 11, 15
                    ]
                }, {
                    name: "Norway",
                    data: [
                        0, 17, 15, 10, 15, 0, 0, 10, 16, 4, 6, 15, 14, 12, 7, 10, 9, 5, 20, 26, 25, 25, 19, 23, 26
                    ]
                }, {
                    name: "U.S.",
                    data: [
                        0, 4, 6, 12, 4, 0, 0, 9, 11, 7, 10, 7, 7, 8, 10, 12, 8, 6, 11, 13, 13, 34, 25, 37, 28
                    ]
                }, {
                    name: "East Germany",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 14, 19, 23, 24, 25, 0, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "West Germany",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 5, 10, 5, 4, 8, 0, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Germany",
                    data: [
                        0, 0, 1, 2, 6, 0, 0, 0, 7, 2, 8, 9, 0, 0, 0, 0, 0, 0, 26, 24, 29, 36, 29, 30, 19
                    ]
                }, {
                    name: "Netherlands",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 2, 9, 9, 6, 4, 0, 7, 4, 4, 11, 8, 9, 8, 24
                    ]
                }, {
                    name: "Italy",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 1, 2, 3, 1, 4, 4, 5, 4, 2, 2, 5, 14, 20, 10, 13, 11, 5, 8
                    ]
                }, {
                    name: "Canada",
                    data: [
                        0, 1, 1, 7, 1, 0, 0, 3, 2, 3, 4, 3, 3, 1, 3, 2, 4, 5, 7, 13, 15, 17, 24, 26, 25
                    ]
                }, {
                    name: "Switzerland",
                    data: [
                        0, 3, 1, 1, 3, 0, 0, 10, 2, 6, 2, 0, 6, 10, 5, 5, 5, 15, 3, 9, 7, 11, 14, 9, 11
                    ]
                }, {
                    name: "Great Britain",
                    data: [
                        0, 4, 1, 0, 3, 0, 0, 2, 1, 0, 0, 1, 0, 0, 1, 1, 1, 0, 0, 2, 1, 2, 1, 1, 4
                    ]
                }, {
                    name: "France",
                    data: [
                        0, 3, 1, 1, 1, 0, 0, 5, 1, 0, 3, 7, 9, 3, 1, 1, 3, 2, 9, 5, 8, 11, 9, 11, 15
                    ]
                }, {
                    name: "Hungary",
                    data: [
                        0, 0, 0, 1, 1, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Unified Team",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Soviet Union",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 21, 25, 13, 16, 27, 22, 25, 29, 0, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Russia",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 18, 13, 22, 15, 33
                    ]
                }, {
                    name: "Japan",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1, 1, 1, 7, 5, 10, 2, 1, 5, 8
                    ]
                }, {
                    name: "Czechoslovakia",
                    data: [
                        0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 1, 4, 3, 1, 1, 6, 3, 3, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Poland",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 2, 6, 6
                    ]
                }, {
                    name: "Spain",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "China",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 8, 8, 11, 11, 9
                    ]
                }, {
                    name: "South Korea",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 6, 6, 4, 11, 14, 8
                    ]
                }, {
                    name: "Czech Republic",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 4, 6, 8
                    ]
                }, {
                    name: "Belarus",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 1, 3, 6
                    ]
                }, {
                    name: "Kazakhstan",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 1, 1
                    ]
                }, {
                    name: "Bulgaria",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 3, 1, 0, 0
                    ]
                }, {
                    name: "Denmark",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0
                    ]
                }, {
                    name: "Ukraine",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 2, 0, 2
                    ]
                }, {
                    name: "Australia",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 3, 3
                    ]
                }, {
                    name: "Belgium",
                    data: [
                        0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0
                    ]
                }, {
                    name: "Romania",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Liechtenstein",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 4, 2, 1, 0, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Yugoslavia",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Luxembourg",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "New Zealand",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "North Korea",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0
                    ]
                }, {
                    name: "Slovakia",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1
                    ]
                }, {
                    name: "Croatia",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 3, 3, 1
                    ]
                }, {
                    name: "Slovenia",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 3, 8
                    ]
                }, {
                    name: "Latvia",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 4
                    ]
                }, {
                    name: "Estonia",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0
                    ]
                }, {
                    name: "Uzbekistan",
                    data: [
                        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0
                    ]
                }],

                exporting: {
                    sourceWidth: 800,
                    sourceHeight: 600
                }

            });
            
            Highcharts.chart('topic-clusters', {
                accessibility: {
                    description: 'A Venn diagram constructed from three intersecting circles illustrates the Unattainable Triangle. The three circles are labeled, in a clockwise direction, Fast, Cheap and Good. The intersections are as follows: Fast and Cheap equals Not the Best Quality. Cheap and Good equals Will Take Time to Deliver. Good and Fast equals More Expensive. Fast, Cheap and Good equals They’re Dreaming.'
                },
                series: [{
                    type: 'venn',
                    name: 'Topic Cluster Visualization',
                    data: [{
                        sets: ['Good'],
                        value: 2
                    }, {
                        sets: ['Fast'],
                        value: 2
                    }, {
                        sets: ['Cheap'],
                        value: 2
                    }, {
                        sets: ['Good', 'Fast'],
                        value: 1,
                        name: 'More expensive'
                    }, {
                        sets: ['Good', 'Cheap'],
                        value: 1,
                        name: 'Will take time to deliver'
                    }, {
                        sets: ['Fast', 'Cheap'],
                        value: 1,
                        name: 'Not the best quality'
                    }, {
                        sets: ['Fast', 'Cheap', 'Good'],
                        value: 1,
                        name: 'They\'re dreaming'
                    }]
                }],
                title: {
                    text: 'Topic Cluster Visualization'
                }
            });
            
            
            var text = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean bibendum erat ac justo sollicitudin, quis lacinia ligula fringilla. Pellentesque hendrerit, nisi vitae posuere condimentum, lectus urna accumsan libero, rutrum commodo mi lacus pretium erat. Phasellus pretium ultrices mi sed semper. Praesent ut tristique magna. Donec nisl tellus, sagittis ut tempus sit amet, consectetur eget erat. Sed ornare gravida lacinia. Curabitur iaculis metus purus, eget pretium est laoreet ut. Quisque tristique augue ac eros malesuada, vitae facilisis mauris sollicitudin. Mauris ac molestie nulla, vitae facilisis quam. Curabitur placerat ornare sem, in mattis purus posuere eget. Praesent non condimentum odio. Nunc aliquet, odio nec auctor congue, sapien justo dictum massa, nec fermentum massa sapien non tellus. Praesent luctus eros et nunc pretium hendrerit. In consequat et eros nec interdum. Ut neque dui, maximus id elit ac, consequat pretium tellus. Nullam vel accumsan lorem.';
            var lines = text.split(/[,\. ]+/g),
                data = Highcharts.reduce(lines, function (arr, word) {
                    var obj = Highcharts.find(arr, function (obj) {
                        return obj.name === word;
                    });
                    if (obj) {
                        obj.weight += 1;
                    } else {
                        obj = {
                            name: word,
                            weight: 1
                        };
                        arr.push(obj);
                    }
                    return arr;
                }, []);

            Highcharts.chart('bigram-cloud', {
                series: [{
                    type: 'wordcloud',
                    data: data,
                    name: 'Occurrences'
                }],
                title: false
            });
                   
            Highcharts.addEvent(
                Highcharts.Series,
                'afterSetOptions',
                function (e) {
                    var colors = Highcharts.getOptions().colors,
                        i = 0,
                        nodes = {};

                    if (
                        this instanceof Highcharts.seriesTypes.networkgraph &&
                        e.options.id === 'lang-tree'
                    ) {
                        e.options.data.forEach(function (link) {

                            if (link[0] === 'Proto Indo-European') {
                                nodes['Proto Indo-European'] = {
                                    id: 'Proto Indo-European',
                                    marker: {
                                        radius: 20
                                    }
                                };
                                nodes[link[1]] = {
                                    id: link[1],
                                    marker: {
                                        radius: 10
                                    },
                                    color: colors[i++]
                                };
                            } else if (nodes[link[0]] && nodes[link[0]].color) {
                                nodes[link[1]] = {
                                    id: link[1],
                                    color: nodes[link[0]].color
                                };
                            }
                        });

                        e.options.nodes = Object.keys(nodes).map(function (id) {
                            return nodes[id];
                        });
                    }
                }
            );
        });
</script>
<script type="text/javascript">
            function getPointCategoryName(point, dimension) {
                var series = point.series,
                    isY = dimension === 'y',
                    axis = series[isY ? 'yAxis' : 'xAxis'];
                return axis.categories[point[isY ? 'y' : 'x']];
            }

            Highcharts.chart('term-matrix', {

                chart: {
                    type: 'heatmap',
                    marginTop: 40,
                    marginBottom: 80,
                    plotBorderWidth: 1
                },


                title: false,

                xAxis: {
                    categories: ['Alexander', 'Marie', 'Maximilian', 'Sophia', 'Lukas', 'Maria', 'Leon', 'Anna', 'Tim', 'Laura']
                },

                yAxis: {
                    categories: ['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday'],
                    title: null,
                    reversed: true
                },

                accessibility: {
                    point: {
                        descriptionFormatter: function (point) {
                            var ix = point.index + 1,
                                xName = getPointCategoryName(point, 'x'),
                                yName = getPointCategoryName(point, 'y'),
                                val = point.value;
                            return ix + '. ' + xName + ' sales ' + yName + ', ' + val + '.';
                        }
                    }
                },

                colorAxis: {
                    min: 0,
                    minColor: '#FFFFFF',
                    maxColor: Highcharts.getOptions().colors[0]
                },

                legend: {
                    align: 'right',
                    layout: 'vertical',
                    margin: 0,
                    verticalAlign: 'top',
                    y: 25,
                    symbolHeight: 280
                },

                tooltip: {
                    formatter: function () {
                        return '<b>' + getPointCategoryName(this.point, 'x') + '</b> sold <br><b>' +
                            this.point.value + '</b> items on <br><b>' + getPointCategoryName(this.point, 'y') + '</b>';
                    }
                },

                series: [{
                    name: 'Sales per employee',
                    borderWidth: 1,
                    data: [[0, 0, 10], [0, 1, 19], [0, 2, 8], [0, 3, 24], [0, 4, 67], [1, 0, 92], [1, 1, 58], [1, 2, 78], [1, 3, 117], [1, 4, 48], [2, 0, 35], [2, 1, 15], [2, 2, 123], [2, 3, 64], [2, 4, 52], [3, 0, 72], [3, 1, 132], [3, 2, 114], [3, 3, 19], [3, 4, 16], [4, 0, 38], [4, 1, 5], [4, 2, 8], [4, 3, 117], [4, 4, 115], [5, 0, 88], [5, 1, 32], [5, 2, 12], [5, 3, 6], [5, 4, 120], [6, 0, 13], [6, 1, 44], [6, 2, 88], [6, 3, 98], [6, 4, 96], [7, 0, 31], [7, 1, 1], [7, 2, 82], [7, 3, 32], [7, 4, 30], [8, 0, 85], [8, 1, 97], [8, 2, 123], [8, 3, 64], [8, 4, 84], [9, 0, 47], [9, 1, 114], [9, 2, 31], [9, 3, 48], [9, 4, 91]],
                    dataLabels: {
                        enabled: true,
                        color: '#000000'
                    }
                }],

                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            yAxis: {
                                labels: {
                                    formatter: function () {
                                        return this.value.charAt(0);
                                    }
                                }
                            }
                        }
                    }]
                }

            });
</script>
<script type="text/javascript">
    Highcharts.chart('term-sentiment', {
        chart: {
            type: 'packedbubble',
            height: '100%'
        },
        title: false,
        tooltip: {
            useHTML: true,
            pointFormat: '<b>{point.name}:</b>'
        },
        plotOptions: {
            packedbubble: {
                minSize: '20%',
                maxSize: '100%',
                zMin: 0,
                zMax: 1000,
                layoutAlgorithm: {
                    gravitationalConstant: 0.05,
                    splitSeries: true,
                    seriesInteraction: false,
                    dragBetweenSeries: true,
                    parentNodeLimit: true
                },
                dataLabels: {
                    enabled: true,
                    format: '{point.name}',
                    filter: {
                        property: 'y',
                        operator: '>',
                        value: 250
                    },
                    style: {
                        color: 'black',
                        textOutline: 'none',
                        fontWeight: 'normal'
                    }
                }
            }
        },
        series: [{
            name: 'Positive',
            data: [{
                name: 'Germany',
                value: 767.1
            }, {
                name: 'Croatia',
                value: 20.7
            },
            {
                name: "Belgium",
                value: 97.2
            },
            {
                name: "Czech Republic",
                value: 111.7
            },
            {
                name: "Netherlands",
                value: 158.1
            },
            {
                name: "Spain",
                value: 241.6
            },
            {
                name: "Ukraine",
                value: 249.1
            },
            {
                name: "Poland",
                value: 298.1
            },
            {
                name: "France",
                value: 323.7
            },
            {
                name: "Romania",
                value: 78.3
            },
            {
                name: "United Kingdom",
                value: 415.4
            }, {
                name: "Turkey",
                value: 353.2
            }, {
                name: "Italy",
                value: 337.6
            },
            {
                name: "Greece",
                value: 71.1
            },
            {
                name: "Austria",
                value: 69.8
            },
            {
                name: "Belarus",
                value: 67.7
            },
            {
                name: "Serbia",
                value: 59.3
            },
            {
                name: "Finland",
                value: 54.8
            },
            {
                name: "Bulgaria",
                value: 51.2
            },
            {
                name: "Portugal",
                value: 48.3
            },
            {
                name: "Norway",
                value: 44.4
            },
            {
                name: "Sweden",
                value: 44.3
            },
            {
                name: "Hungary",
                value: 43.7
            },
            {
                name: "Switzerland",
                value: 40.2
            },
            {
                name: "Denmark",
                value: 40
            },
            {
                name: "Slovakia",
                value: 34.7
            },
            {
                name: "Ireland",
                value: 34.6
            },
            {
                name: "Croatia",
                value: 20.7
            },
            {
                name: "Estonia",
                value: 19.4
            },
            {
                name: "Slovenia",
                value: 16.7
            },
            {
                name: "Lithuania",
                value: 12.3
            },
            {
                name: "Luxembourg",
                value: 10.4
            },
            {
                name: "Macedonia",
                value: 9.5
            },
            {
                name: "Moldova",
                value: 7.8
            },
            {
                name: "Latvia",
                value: 7.5
            },
            {
                name: "Cyprus",
                value: 7.2
            }]
        }, {
            name: 'Neutral',
            data: [{
                name: "Costa Rica",
                value: 7.6
            },
            {
                name: "Honduras",
                value: 8.4
            },
            {
                name: "Jamaica",
                value: 8.3
            },
            {
                name: "Panama",
                value: 10.2
            },
            {
                name: "Guatemala",
                value: 12
            },
            {
                name: "Dominican Republic",
                value: 23.4
            },
            {
                name: "Cuba",
                value: 30.2
            },
            {
                name: "USA",
                value: 5334.5
            }, {
                name: "Canada",
                value: 566
            }, {
                name: "Mexico",
                value: 456.3
            }]
        }, {
            name: 'Negative',
            data: [{
                name: "Nepal",
                value: 6.5
            },
            {
                name: "Georgia",
                value: 6.5
            },
            {
                name: "Brunei Darussalam",
                value: 7.4
            },
            {
                name: "Kyrgyzstan",
                value: 7.4
            },
            {
                name: "Afghanistan",
                value: 7.9
            },
            {
                name: "Myanmar",
                value: 9.1
            },
            {
                name: "Mongolia",
                value: 14.7
            },
            {
                name: "Sri Lanka",
                value: 16.6
            },
            {
                name: "Bahrain",
                value: 20.5
            },
            {
                name: "Yemen",
                value: 22.6
            },
            {
                name: "Jordan",
                value: 22.3
            },
            {
                name: "Lebanon",
                value: 21.1
            },
            {
                name: "Azerbaijan",
                value: 31.7
            },
            {
                name: "Singapore",
                value: 47.8
            },
            {
                name: "Hong Kong",
                value: 49.9
            },
            {
                name: "Syria",
                value: 52.7
            },
            {
                name: "DPR Korea",
                value: 59.9
            },
            {
                name: "Israel",
                value: 64.8
            },
            {
                name: "Turkmenistan",
                value: 70.6
            },
            {
                name: "Oman",
                value: 74.3
            },
            {
                name: "Qatar",
                value: 88.8
            },
            {
                name: "Philippines",
                value: 96.9
            },
            {
                name: "Kuwait",
                value: 98.6
            },
            {
                name: "Uzbekistan",
                value: 122.6
            },
            {
                name: "Iraq",
                value: 139.9
            },
            {
                name: "Pakistan",
                value: 158.1
            },
            {
                name: "Vietnam",
                value: 190.2
            },
            {
                name: "United Arab Emirates",
                value: 201.1
            },
            {
                name: "Malaysia",
                value: 227.5
            },
            {
                name: "Kazakhstan",
                value: 236.2
            },
            {
                name: "Thailand",
                value: 272
            },
            {
                name: "Taiwan",
                value: 276.7
            },
            {
                name: "Indonesia",
                value: 453
            },
            {
                name: "Saudi Arabia",
                value: 494.8
            },
            {
                name: "Japan",
                value: 1278.9
            },
            {
                name: "China",
                value: 10540.8
            },
            {
                name: "India",
                value: 2341.9
            },
            {
                name: "Russia",
                value: 1766.4
            },
            {
                name: "Iran",
                value: 618.2
            },
            {
                name: "Korea",
                value: 610.1
            }]
        }]
    });
</script>
</body>