<?php include('layout/header.php')?>
<body class="loading">
	<?php $_SESSION['active-menu'] = "entity_analysis"; ?>
    <div id="app">
        <?php include("layout/side-menu.php") ?>
        <div id="main" class="w-100 d-flex flex-column">
            <?php include("layout/admin-menu.php") ?>
            <div class="wrapper p-3 overflow-auto h-100" style="background: #fafafa;">
                <div class="row mx-n2">
                    <div class="col-md-12">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-line-chart mr-2"></i> ENTITY REPUTATION</div>
                            
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div id="entity-reputation" style="height: 300px;"></div>
                                    </div>
                                </div>                                
                            </div>
                        </div>
                    </div>

                    <div class="w-100"></div>
                    
                    <div class="col-md-12 px-2 mt-3">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa-group mr-2"></i> KEY ENTITIES</div>
                            <div class="d-flex flex-column">
                                 <div class="table-responsive" style="max-height: 850px;overflow: auto;">
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Account</th>
                                                <th>Platform</th>
                                                <th>Enggagement</th>
                                                <th>Most Popular Post</th>
                                                <th>Details</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                             <?php
                                                  $json = 'http://127.0.0.1:5000/mod_stream_popularity_entities/'.$collection_name;
                                                  $contents = file_get_contents($json); 
                                                  $data = json_decode($contents,true);
                                                  foreach ($data as $key => $item):
                                              ?>
                                            <tr>
                                                <td><?php echo $item['name']; ?></td>
                                                <td class="text-center">Twitter</td>
                                                <td> <?php echo $item['count_of_tweet']; ?> <b>posts</b> <?php echo $item['y']; ?> <b>retweet</b> <?php echo $item['x']; ?> <b>mentions</b></td>
                                                <td> <?php echo $item['tweet']; ?> </td>
                                                <td><a class="btn btn-outline-dark btn-sm" href="entity_perception.php" role="button"><i class="fa fa-eye"></i></a></td>
                                            </tr>
                                            <?php endforeach; ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
               </div>                
            </div>
            <?php include('layout/footer.php')?>            
        </div>
    </div>


    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/highcharts-more.js"></script>
    
    <script type="text/javascript">
        Highcharts.chart('entity-reputation', {

          chart: {
            type: 'bubble',
            plotBorderWidth: 1,
            zoomType: 'xy'
          },

          legend: {
            enabled: false
          },

          title: {
            text: ''
          },

          xAxis: {
            gridLineWidth: 1,
            title: {
              text: 'Mention'
            },
            labels: {
              format: '{value}'
            }
          },

          yAxis: {
            startOnTick: false,
            endOnTick: false,
            title: {
              text: 'Retweet'
            },
            labels: {
              format: '{value}'
            },
            maxPadding: 0.2,
          },
            credits:false,
          tooltip: {
            useHTML: true,
            headerFormat: '<table>',
            pointFormat: '<tr><th colspan="2"><h3>{point.country}</h3></th></tr>' +
              '<tr><th>Fat intake:</th><td>{point.x}g</td></tr>' +
              '<tr><th>Sugar intake:</th><td>{point.y}g</td></tr>' +
              '<tr><th>Obesity (adults):</th><td>{point.z}%</td></tr>',
            footerFormat: '</table>',
            followPointer: true
          },

          plotOptions: {
            series: {
              dataLabels: {
                enabled: true,
                format: '{point.name}'
              }
            }
          },

          series: [{
            data: [
                    <?php
                         $theJSON = file_get_contents('http://127.0.0.1:5000/mod_stream_popularity_entities/'.$collection_name);
                         $theArray = json_decode($theJSON, true);
                          foreach($theArray as $element){
                              echo "{";
                              echo "x:".$element['x'];
                              echo ",y:".$element['y'];
                              echo ",z:".$element['z'];
                              echo ",color:'".$element['color']."'";
                              echo ",name:'".$element['name']."'";
                              echo "},";
                          }
                    ?>
            ]
          }]

        });
    </script>    
</body>