<?php include('layout/header.php')?>
<body class="loading">
    <?php $_SESSION['active-menu'] = "statistics"; ?>
	<div id="app">
        <?php include("layout/side-menu.php") ?>
        <div id="main" class="w-100 d-flex flex-column">
            <?php include("layout/admin-menu.php") ?>
            <div class="wrapper p-3 overflow-auto h-100" style="background: #fafafa;">
                <div class="row mx-n2">
                    <div class="col-md-3 px-2">
                        <div class="card card-panel">
                            <div class="card-header">NUMBER OF TWEETS</div>
                            <div class="card-body">
                                <h4>2.456</h4>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 px-2">
                        <div class="card card-panel">
                            <div class="card-header">NUMBER OF UNIQUE TWEETS</div>
                            <div class="card-body">
                                <h4>156</h4>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 px-2">
                        <div class="card card-panel">
                            <div class="card-header">NUMBER OF USER INVOLVED</div>
                            <div class="card-body">
                                <h4>456</h4>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 px-2">
                        <div class="card card-panel">
                            <div class="card-header">NUMBER OF UNIQUE HASHTAG</div>
                            <div class="card-body">
                                <h4>56</h4>
                            </div>
                        </div>
                    </div>
                </div>
                <br/>
                <div class="row mx-n2">
                    <div class="col-md-12 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-line-chart mr-2"></i> TWEETS OVER TIME</div>
                            <div class="card-body h-100" id="trend-tweet"></div>
                        </div>
                    </div>
                </div>
                <br />
                <div class="row mx-n2">
                    <div class="col-md-8 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-line-chart mr-2"></i> TWEETS OVER TIME BY SENTIMENT</div>
                            <div class="card-body h-100" id="trend-sentiment"></div>
                        </div>
                    </div>
                    <div class="col-md-4 px-2">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa-pie-chart mr-2"></i> SENTIMENT RATIO</div>
                            <div class="card-body h-100" id="ratio-sentiment"></div>
                        </div>
                    </div>
                </div>
                <br/>
                <div class="row mx-n2">
                    <div class="col-md-6 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-line-chart mr-2"></i> TOP 10 HASHTAG</div>
                            <div class="card-body h-100">
                                <div class="table-responsive" style="max-height: 450px;overflow: auto;">
                                    <table class="table table-striped table-hover">
                                        <thead>
                                            <tr>
                                                <th>Hashtag</th>
                                                <th>Usage</th>
                                                <th>Co-Occurence</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                                $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_hashtag/'.$collection_name.'');
                                                $theArray = json_decode($theJSON, true);
                                                foreach($theArray[2] as $element){
                                                    echo "<tr>";
                                                    echo "  <td>".$element['name']."</td>";
                                                    echo "  <td>".array_sum($element['data'])."</td>";
                                                    echo "  <td>N/A</td>";
                                                    echo "</tr>";
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 px-2">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa-pie-chart mr-2"></i> HASHTAG CLOUD</div>
                            <div class="card-body h-100" id="frequent-hashtag"></div>
                        </div>
                    </div>
                </div>
                <br/>
                <div class="row mx-n2">
                    <div class="col-md-12 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-line-chart mr-2"></i> HASHTAG USAGE OVER TIME</div>
                            <div class="card-body h-100" id="trend-hashtag"></div>
                        </div>
                    </div>
                </div>
            </div>
            <?php include('layout/footer.php')?>            
        </div>
    </div>
    <script type="text/javascript" src="https://code.highcharts.com/highcharts.js"></script>
    <script type="text/javascript">
        $(function(){
            Highcharts.chart('trend-tweet', {
                chart: {
                    type: 'spline',
                    height:300
                },
                title: {
                    text: ''
                },
                xAxis: {
                    categories: [
                        '21/10',
                        '22/10',
                        '23/10',
                        '24/10',
                        '25/10',
                        '26/10',
                        '27/10',
                        '28/10',
                        '29/10',
                        '30/10'
                    ],
                    crosshair: true,

                    gridLineWidth:1
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: ''
                    },
                    gridLineWidth:1
                },
                tooltip: {
                    headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                    pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                        '<td style="padding:0"><b>{point.y:.1f} mm</b></td></tr>',
                    footerFormat: '</table>',
                    shared: true,
                    useHTML: true
                },
                plotOptions: {
                    column: {
                        pointPadding: 0.2,
                        borderWidth: 0
                    }
                },
                credits:false,
                series: [{
                    name: 'All Tweets',
                    data: [49, 71, 106, 129, 144, 176, 135, 148, 216, 194]

                }]
            });
            
            Highcharts.chart('trend-sentiment', {
                chart: {
                    type: 'spline',
                    height:300
                },
                title: {
                    text: ''
                },
                xAxis: {
                    categories: [
                        <?php
                            $theJSON = file_get_contents('http://127.0.0.1:5000/mod_trendsentiment/'.$collection_name);
                            $theArray = json_decode($theJSON, true);
                            foreach($theArray[0] as $element){
                                echo "'".$element."',";
                            }
                        ?>
                    ],
                    crosshair: true,

                    gridLineWidth:1
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: ''
                    },
                    gridLineWidth:1
                },
                tooltip: {
                    headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                    pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                        '<td style="padding:0"><b>{point.y:.1f} mm</b></td></tr>',
                    footerFormat: '</table>',
                    shared: true,
                    useHTML: true
                },
                plotOptions: {
                    column: {
                        pointPadding: 0.2,
                        borderWidth: 0
                    }
                },
                credits:false,
                series: [
                        <?php
                            $theJSON = file_get_contents('http://127.0.0.1:5000/mod_trendsentiment/'.$collection_name);
                            $theArray = json_decode($theJSON, true);

                            $data=[];
                            foreach ($theArray[1] as $value) {
                                echo"{name:'".$value[0]."',";
                                echo"data:[";

                                foreach ($value[1] as $data) {
                                    echo"".$data.",";
                                } echo"]},";
                            }
                                                    
                        ?>
                        ]
            });
            
            Highcharts.chart('ratio-sentiment', {
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: ''
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: false
                        },
                        showInLegend: true
                    }
                },
                credits:false,
                legends:{
                    layout:'Horizontal'
                },
                series: [{
                    name: 'Brands',
                    colorByPoint: true,
                    data: [
                     <?php
                        $json_ratio = 'http://127.0.0.1:5000/mod_ratiosentiment/'.$collection_name;
                        $contents_ratio = file_get_contents($json_ratio); 
                        $data_ratio = json_decode($contents_ratio);

                        echo "{name:'Positif',y:".$data_ratio->positif."},{name:'Negatif',y:".$data_ratio->negatif."},{name:'Netral',y:".$data_ratio->netral."}";
                        ?>
                    ]
                }]
            });

            Highcharts.chart('trend-hashtag', {
                chart: {
                    type: 'spline'
                },
                title: {
                    text: ''
                },
                xAxis: {
                    categories: [
                        <?php
                            $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_hashtag/'.$collection_name.'');
                            $theArray = json_decode($theJSON, true);
                            foreach($theArray[0] as $element){
                                echo "'".substr($element,0,5)."',";
                            }
                        ?>
                    ],
                    crosshair: true,

                    gridLineWidth:1
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: ''
                    },
                    gridLineWidth:1
                },
                tooltip: {
                    headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                    pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                        '<td style="padding:0"><b>{point.y:.1f} mm</b></td></tr>',
                    footerFormat: '</table>',
                    shared: true,
                    useHTML: true
                },
                plotOptions: {
                    column: {
                        pointPadding: 0.2,
                        borderWidth: 0
                    }
                },
                credits:false,
                series: [
                            <?php
                                $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_hashtag/'.$collection_name.'');
                                $theArray = json_decode($theJSON, true);
                                foreach($theArray[2] as $element){
                                    echo "{name :'".$element['name']."',
                                           data : [".implode(',',$element['data'])."]},";
                                }
                            ?>
                        ]
            });
        });
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/d3/3.4.11/d3.min.js"></script>
    <script type="text/javascript" src="https://cdn.rawgit.com/jasondavies/d3-cloud/v1.2.1/build/d3.layout.cloud.js"></script>
    
    <!--FREQUENT HASTAG-->
    <script type="text/javascript">
            var skillsToDraw = [
                <?php
                    $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_hashtag/'.$collection_name.'');
                    $theArray = json_decode($theJSON, true);
                    foreach($theArray[3] as $element){
                        echo "{text:'".$element['text']."',size:".$element['size']."},";
                    }
                ?>
            ];

        var width = '500';
        var height = 500;
        var fill = d3.scale.category20();

            d3.layout.cloud()
                .size([width, height])
                .words(skillsToDraw)
                .rotate(function() {
                    return 0;
                })
                .font("Impact")
                .fontSize(function(d) {
                    return d.size;
                })
                .on("end", drawSkillCloud)
                .start();

        // Finally implement `drawSkillCloud`, which performs the D3 drawing:

            // apply D3.js drawing API
            function drawSkillCloud(words) {
                d3.select("#frequent-hashtag").append("svg")
                    .append("g")
                    .attr("transform", "translate(" + ~~(width / 2) + "," + ~~(height / 2) + ")")
                    .selectAll("text")
                    .data(words)
                    .enter().append("text")
                    .style("font-size", function(d) {
                        return d.size + "px";
                    })
                    .style("-webkit-touch-callout", "none")
                    .style("-webkit-user-select", "none")
                    .style("-khtml-user-select", "none")
                    .style("-moz-user-select", "none")
                    .style("-ms-user-select", "none")
                    .style("user-select", "none")
                    .style("cursor", "default")
                    .style("font-family", "sans-serif")
                    .style("font-weight", "200")
                    .style("fill", "#888")
                    .attr("text-anchor", "middle")
                    .attr("transform", function(d) {
                        return "translate(" + [d.x, d.y] + ")rotate(" + d.rotate + ")";
                    })
                    .text(function(d) {
                        return d.text;
                    });
            }

            var svg = document.getElementsByTagName("svg")[0];
            var bbox = svg.getBBox();
            var viewBox = [bbox.x, bbox.y, bbox.width, bbox.height].join(" ");
            svg.setAttribute("viewBox", viewBox);
    </script>
</body>