<?php include('layout/header.php')?>
<body class="loading">
    <?php $_SESSION['active-menu'] = "topic-map"; ?>
    <div id="app">
        <?php include("layout/side-menu.php") ?>
        <div id="main" class="w-100 d-flex flex-column">
            <?php include("layout/admin-menu.php") ?>
            <div class="wrapper p-3 overflow-auto h-100" style="background: #fafafa;">
                <div class="row mx-n2">
                    <div class="col-md-6 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-hashtag mr-2"></i> FREQUENT HASHTAG</div>
                            <div class="card-body h-100" id="frequent-hashtag"></div>
                        </div>
                    </div>
                    <div class="col-md-6 px-2">
                        <div class="card card-panel h-100 d-flex flex-column">
                            <div class="card-header"><i class="fa fa-tasks mr-2"></i> FREQUENT TOPIC</div>
                            <div class="card-body h-100" id="frequent-topic"></div>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row mx-n2 mt-3">
                    <div class="col-md-12 px-2">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa-line-chart mr-2"></i> TOP 10 TRENDINGS - TIMELINES</div>
                            <div class="card-body h-100" id="trend-topic"></div>
                        </div>
                    </div>
                </div>                
                <div class="row mx-n2 mt-3">
                    <div class="col-md-12 px-2 mt-3">
                        <div class="card card-panel h-100">
                            <div class="card-header"><i class="fa fa-list mr-2"></i></div>
                            <div class="d-flex flex-column">
                                <div class="table-responsive" style="max-height: 850px;overflow: auto;">
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th>Hashtag</th>
                                                <th>Total Post</th>
                                                <th>Keywords</th>
                                                <th>Co-Occurence</th>
												<th>Tweets</th>	
                                            </tr>
                                        </thead>
                                        <tbody>
											<?php
                                                $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_hashtag/'.$collection_name.'');
                                                $theArray = json_decode($theJSON, true);
                                                foreach($theArray[2] as $element){
                                                    echo "<tr>";
                                                    echo "  <td>".$element['name']."</td>";
                                                    echo "  <td>".array_sum($element['data'])."</td>";
                                                    echo "  <td>N/A</td>";
                                                    echo "  <td>N/A</td>";
                                                    echo "  <td><button class='btn btn-outline-dark btn-sm'><i class='fa fa-eye'></i> More Post</button></i></td>";
                                                    echo "</tr>";
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <?php include('layout/footer.php')?>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/d3/3.4.11/d3.min.js"></script>
    <script type="text/javascript" src="https://cdn.rawgit.com/jasondavies/d3-cloud/v1.2.1/build/d3.layout.cloud.js"></script>
    <!--FREQUENT HASTAG-->
    <script type="text/javascript">
            var skillsToDraw = [
                <?php
                    $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_hashtag/'.$collection_name.'');
                    $theArray = json_decode($theJSON, true);
                    foreach($theArray[3] as $element){
                        echo "{text:'".$element['text']."',size:".$element['size']."},";
                    }
                ?>
            ];

        var width = '500';
        var height = 500;
        var fill = d3.scale.category20();

            d3.layout.cloud()
                .size([width, height])
                .words(skillsToDraw)
                .rotate(function() {
                    return 0;
                })
                .font("Impact")
                .fontSize(function(d) {
                    return d.size;
                })
                .on("end", drawSkillCloud)
                .start();

        // Finally implement `drawSkillCloud`, which performs the D3 drawing:

            // apply D3.js drawing API
            function drawSkillCloud(words) {
                d3.select("#frequent-hashtag").append("svg")
                    .append("g")
                    .attr("transform", "translate(" + ~~(width / 2) + "," + ~~(height / 2) + ")")
                    .selectAll("text")
                    .data(words)
                    .enter().append("text")
                    .style("font-size", function(d) {
                        return d.size + "px";
                    })
                    .style("-webkit-touch-callout", "none")
                    .style("-webkit-user-select", "none")
                    .style("-khtml-user-select", "none")
                    .style("-moz-user-select", "none")
                    .style("-ms-user-select", "none")
                    .style("user-select", "none")
                    .style("cursor", "default")
                    .style("font-family", "sans-serif")
                    .style("font-weight", "200")
                    .style("fill", "#888")
                    .attr("text-anchor", "middle")
                    .attr("transform", function(d) {
                        return "translate(" + [d.x, d.y] + ")rotate(" + d.rotate + ")";
                    })
                    .text(function(d) {
                        return d.text;
                    });
            }

            var svg = document.getElementsByTagName("svg")[0];
            var bbox = svg.getBBox();
            var viewBox = [bbox.x, bbox.y, bbox.width, bbox.height].join(" ");
            svg.setAttribute("viewBox", viewBox);
    </script>

    <!-- FREQUENT TOPIC -->
    <script type="text/javascript">
        var topic = [
                    <?php
                        $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_topic/'.$collection_name.'');
                        $theArray = json_decode($theJSON, true);
                        foreach($theArray[1] as $element){
                            echo "{text:'".$element['text']."',size:".$element['size']."},";
                        }
                    ?>
            ];

        var width = 500;
        var height = 500;
        var fill = d3.scale.category20();

            d3.layout.cloud()
                .size([width, height])
                .words(topic)
                .rotate(function() {
                    return ~~(Math.random() * 2) * 90;
                })
                .font("Impact")
                .fontSize(function(d) {
                    return d.size;
                })
                .on("end", drawTopicCloud)
                .start();
            function drawTopicCloud(words) {
                d3.select("#frequent-topic").append("svg")
                    .append("g")
                    .attr("transform", "translate(" + ~~(width / 2) + "," + ~~(height / 2) + ")")
                    .selectAll("text")
                    .data(words)
                    .enter().append("text")
                    .style("font-size", function(d) {
                        return d.size + "px";
                    })
                    .style("-webkit-touch-callout", "none")
                    .style("-webkit-user-select", "none")
                    .style("-khtml-user-select", "none")
                    .style("-moz-user-select", "none")
                    .style("-ms-user-select", "none")
                    .style("user-select", "none")
                    .style("cursor", "default")
                    .style("font-family", "impact")
                    .style("font-weight", "200")
                    .style("fill", function(d, i) {
                        return fill(i);
                    })
                    .attr("text-anchor", "middle")
                    .attr("transform", function(d) {
                        return "translate(" + [d.x, d.y] + ")rotate(" + d.rotate + ")";
                    })
                    .text(function(d) {
                        return d.text;
                    });
            }
            
        // set the viewbox to content bounding box (zooming in on the content, effectively trimming whitespace)

            var svg = document.getElementsByTagName("svg")[1];
            var bbox = svg.getBBox();
            var viewBox = [bbox.x, bbox.y, bbox.width, bbox.height].join(" ");
            svg.setAttribute("viewBox", viewBox);
    </script>
    <script type="text/javascript" src="https://code.highcharts.com/highcharts.js"></script>
    <script type="text/javascript">
        $(function(){
            Highcharts.chart('trend-topic', {
                chart: {
                    type: 'spline'
                },
                title: {
                    text: ''
                },
                xAxis: {
                    categories: [
                        <?php
                            $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_hashtag/'.$collection_name.'');
                            $theArray = json_decode($theJSON, true);
                            foreach($theArray[0] as $element){
                                echo "'".substr($element,0,5)."',";
                            }
                        ?>
                    ],
                    crosshair: true,

                    gridLineWidth:1
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: ''
                    },
                    gridLineWidth:1
                },
                tooltip: {
                    headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                    pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                        '<td style="padding:0"><b>{point.y:.1f} mm</b></td></tr>',
                    footerFormat: '</table>',
                    shared: true,
                    useHTML: true
                },
                plotOptions: {
                    column: {
                        pointPadding: 0.2,
                        borderWidth: 0
                    }
                },
                credits:false,
                series: [
                            <?php
                                $theJSON = file_get_contents('http://127.0.0.1:5000/ft_frequent_hashtag/'.$collection_name.'');
                                $theArray = json_decode($theJSON, true);
                                foreach($theArray[2] as $element){
                                    echo "{name :'".$element['name']."',
                                           data : [".implode(',',$element['data'])."]},";
                                }
                            ?>
                        ]
            });


        });
    </script>
</body>